function[lineHandle,patchHandle]= patchMeUp(xAx,meanVals,errorVals,colorVal,alphaVal)
% Martin Kahn 2019 
% xAx: x-Axis values; meanvals: line to plot; errorvals: errorbar that will be drawn symmetrically, colorval: RGB tripplet (e.g. [0,0,0] for black), 
% alphaVal: face-alpha value (e.g. transparency of the shading, try 0.2 or 0.3)
if size(xAx,1)>size(xAx,2)
    xAx = xAx';
end
if size(meanVals,1)>size(meanVals,2)
    meanVals = meanVals';
end
if size(errorVals,1)>size(errorVals,2)
    errorVals = errorVals';
end

lineHandle=plot(xAx,meanVals,'Color',colorVal);hold on;
patchHandle=patch([xAx,fliplr(xAx)],[meanVals-errorVals,fliplr(meanVals+errorVals)],'k','FaceColor',colorVal,'FaceAlpha',alphaVal,'EdgeColor','none'); 
